EDIT - feature request #9809

Implement further tags for RIS reference import
10/12/2021 02:31 PM - Andreas Muller

Status: New Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 20%
Category: cdmadapter Estimated time: 0:00 hour
Target version: Release 5.46

Severity: normal

Description

in #6636 and #9786 the most important tags for RIS import have been implemented. However, there are a couple of more not yet
implemented tags and tasks.

Alse-cheek-i-deduplication-works-forauthorsandreferences (#9889).

Also check the console output for the test with the long file. There are issues with date handling that could be improved.

Related issues:

Related to EDIT - feature request #9786: Implement tags CY and fix PY handlin... Closed
Related to EDIT - feature request #9888: Implement RIS import for book sections Closed
Related to EDIT - feature request #9889: Implement deduplication for RIS import Closed
Related to EDIT - bug #9891: Open issues for RIS import in TaxEditor New

Copied from EDIT - feature request #6636: First version of RIS reference impo... Closed

Associated revisions

Revision 5d7d0b62 - 12/02/2021 05:03 PM - Andreas Miiller

ref #9809 add the source reference to newly added authors

Revision 89cf1da2 - 12/02/2021 05:04 PM - Andreas Miiller

ref #9809 remove first "line" form source reference detail

Revision ce7369eb - 12/02/2021 05:11 PM - Andreas Miiller

ref #9809 include new authors in result.

History

#1 - 10/12/2021 02:32 PM - Andreas Miller

- Copied from feature request #6636: First version of RIS reference import (e.g. for Endnote import) added

#2 - 10/12/2021 02:32 PM - Andreas Miiller
- Related to feature request #9786: Implement tags CY and fix PY handling for RIS import added

#3 - 10/12/2021 02:34 PM - Andreas Miiller

- Description updated

NaK:

Nur bei Book Chapters funktioniert der Import nur teilweise, dafir muss man ja das Buch separat anlegen und dann das Chapter. Aber fir normale
Bicher und Journals funktioniert der Import problemlos und man muss vor allem keine Teams manuell anlegen, die werden korrekt importiert.
#4 - 11/29/2021 03:35 PM - Andreas Miiller

- Related to feature request #9888: Implement RIS import for book sections added

#5 - 11/29/2021 11:19 PM - Andreas Miiller
- Related to feature request #9889: Implement deduplication for RIS import added

#6 - 11/29/2021 11:22 PM - Andreas Miiller

Book sections should work now (#9888)

#7 - 12/02/2021 02:27 PM - Andreas Miiller
- Description updated

#8 - 12/02/2021 02:28 PM - Andreas Miiller
Andreas Muller wrote:
NaK:
Nur bei Book Chapters funktioniert der Import nur teilweise, daftir muss man ja das Buch separat anlegen und dann das Chapter. Aber fur

normale Biicher und Journals funktioniert der Import problemlos und man muss vor allem keine Teams manuell anlegen, die werden korrekt
importiert.

BookSections were implemented in #9888

#9 - 12/02/2021 02:30 PM - Andreas Miiller
- Description updated

#10 - 12/02/2021 03:42 PM - Andreas Miiller
- Description updated

#11 - 12/02/2021 03:44 PM - Andreas Miiller
- Description updated

#12 - 12/02/2021 03:57 PM - Andreas Miiller
- Description updated

#13 - 12/02/2021 04:39 PM - Andreas Miiller
- Related to bug #9891: Open issues for RIS import in TaxEditor added

#14 - 12/02/2021 05:11 PM - Andreas Miiller
- Description updated

#15 - 12/02/2021 05:12 PM - Andreas Miiller
- Description updated

#16 - 12/02/2021 05:12 PM - Andreas Miiller
- % Done changed from 0 to 20
